golang-google-grpc (1.81.1-1) unstable; urgency=medium

  * New upstream version 1.81.1

 -- Juan Manuel Méndez Rey <juan.mendezr@proton.me>  Mon, 18 May 2026 17:05:55 +0200

golang-google-grpc (1.79.3-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Team upload.
  * New upstream version 1.79.3
    - contains fix for CVE-2026-33186. (Closes: #1132228)
  * debian/control: new dependency on golang-github-cncf-xds-dev.
  * debian/control: new dependency on
    golang-github-envoyproxy-go-control-plane-dev.
  * debian/control: new dependency on golang-opentelemetry-contrib-dev.
  * debian/control: drop Priority: optional (now the default).
  * debian/control: bump to Standards-version to 4.7.4.
  * debian/control: remove dependency on golang-github-google-cel-go-dev.
  * debian/control: remove dependency on
    golang-glog-dev or golang-github-golang-glog-dev.
  * debian/control: remove dependency on golang-go.opencensus-dev.
  * debian/control: remove dependency on golang-golang-x-oauth2-dev and
    golang-golang-x-oauth2-google-dev.
  * debian/control: remove dependency on golang-google-cloud-dev.
  * debian/control: refine dependencies.
  * debian/rules: adjust DH_GOLANG_EXCLUDES as we now have cncf-xds and
    envoyproxy-go-control-plane in debian.
  * debian/rules: disable specific test that failed on i386.
  * debian/control: revert dependency on golang-glog-dev to make
    autopkgtest happy.
  * debian/README.source: document where to sync parts under
    debian/missing-sources/grpc/grpc-proto/master/grpc/.

  [ Nicolas Peugnet ]
  * Update missing-sources .proto files
  * Remove debug_redact protobuf option from grpc .proto files
  * Build grpc/health again, needed for docker-buildx

  [ Andrew Lee (李健秋) ]
  * Releasing debian version 1.79.3-1.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 10 Apr 2026 08:40:56 +0200

golang-google-grpc (1.75.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.75.1.
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/patches/0001-Adapt-regenerate.sh-for-packaging.patch:
    refreshed.
  * Drop 0002-eliminate-problematic-files.patch: use better way to make
    autopkgtest happy.
  * debian/control: build-deps on golang-github-cespare-xxhash-dev.
  * debian/control: build-deps on golang-github-spiffe-go-spiffe-dev.
  * debian/control: build-deps on golang-gonum-v1-gonum-dev. Needed for
    tests.
  * debian/control: build-deps on golang-opentelemetry-otel-dev.
  * debian/rules: exclude failed to setup test to make autopkgtest happy.
  * debian/rules: adjust excludes to make the package builds.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 21 Dec 2025 17:47:49 +0100

golang-google-grpc (1.66.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 12 Oct 2025 14:02:01 -0400

golang-google-grpc (1.66.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release 1.66.3.
    - transport: Fix stream failures due to incorrect flow control
      window calculation in both clients and servers. (upstream #7667)
    - xds/server: Fix memory leak in xDS Server. (upstream #7681)

  * New upstream release 1.66.2.
    - client: Fix bug preventing memory reuse after unary RPCs,
      improving efficiency and reducing allocations. (upstream #7571)

  * New upstream release 1.66.0.
    - metadata: Stabilize ValueFromIncomingContext API. (upstream #7368)
    - client: Stabilize WaitForStateChange and GetState methods,
      previously experimental. (upstream #7425)
    - xds: Implement ADS flow control mechanism. (upstream #7458)
    - balancer/rls: Add metrics for data cache and picker internals.
      (upstream #7484, #7495)
    - xds: Include total_issued_requests in LRS load reports. (upstream #7544)
    - grpc: Return INTERNAL instead of UNIMPLEMENTED when the server
      uses an unsupported compressor, aligning with gRPC spec. (upstream #7461)
    - transport: Fix possible busy-loop when conn.Write returns errors.
      (upstream #7394)
    - client: Fix race condition that could lead to orphaned connections
      and leaked resources. (upstream #7390)
    - xds: Correct locality used for load reporting with pick_first policy.
      (upstream #7378)
    - client: Prevent hang during ClientConn.Close() when network is unreachable.
      (upstream #7540)
    - transport/codec: Improve performance by avoiding double buffering
      and adding buffer reuse for encoded messages. (upstream #7424, #7356, #7432)

  * New upstream release 1.65.0.
    - credentials/tls: Allow optional enforcement of ALPN via
      GRPC_ENFORCE_ALPN_ENABLED environment variable. (upstream #7184)
    - metadata: Remove String() method from MD to improve consistency.
      (upstream #7373)
    - grpc: Add WithMaxCallAttempts option for per-channel retry configuration.
      (upstream #7229)
    - ringhash: Correctly apply endpoint weights. (upstream #7156)
    - xds: Fix bug causing xDS servers to stop accepting connections after handshaking errors.
      (upstream #7128)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Oct 2025 10:51:27 -0400

golang-google-grpc (1.64.0-7) unstable; urgency=medium

  * Team upload.
  * Update Martina’s name.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 05 May 2025 14:13:22 +0200

golang-google-grpc (1.64.0-6) unstable; urgency=medium

  * Team upload
  * Add another package to Breaks list in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 04 Aug 2024 00:37:02 +0000

golang-google-grpc (1.64.0-5) unstable; urgency=medium

  * Team upload
  * Revert "Skip using import path"
    - In the interest of getting things to migrate, undo this change. We'll
      need to come back later and properly clean up files that should be
      excluded from the -dev package
  * Fix upper version ranges for Breaks in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 30 Jul 2024 05:49:40 +0000

golang-google-grpc (1.64.0-4) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * Update list of Breaks in d/control to help hint through migration

  [ Nilesh Patra ]
  * Revert "Delete d/clean -- it was masking issues with tests"
  * Skip using import path

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Jul 2024 23:03:32 +0000

golang-google-grpc (1.64.0-3) unstable; urgency=medium

  * Team upload
  * Delete d/clean -- it was masking issues with tests
  * Add a patch that deletes three problematic files to get autopkgtest
    passing again

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Jul 2024 11:33:28 +0000

golang-google-grpc (1.64.0-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update minimum required version of golang-google-genproto-dev

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 25 Jul 2024 06:26:50 +0000

golang-google-grpc (1.64.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.64.0
  * Depend on google/protobuf APIv2. Please update dependent packages
    that currenty use the protobuf APIv1 (i.e., depend on gogoproto,
    or golang/protobuf@{v1.3,v1.5}) to use golang-google-protobuf-dev
  * Tighten build-depends on google/genproto-go
  * Disable module grpc/stats/opentelemetry to avoid dependency on
    opentelemetry. Can be enabled after otel gets updated to 1.24 or later

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2024 11:43:17 -0400

golang-google-grpc (1.60.1-2) experimental; urgency=medium

  * More EXCLUDE fixes.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 22 Jan 2024 20:15:23 +0100

golang-google-grpc (1.60.1-1) experimental; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * New upstream version 1.60.1.
  * The "security" in EXCLUDES matches too much, qualify it.
  * Fix for lintian update-debian-copyright.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 22 Jan 2024 11:17:09 +0100

golang-google-grpc (1.59.0-1) experimental; urgency=medium

  [ Maytham Alsudany ]
  * Team upload.
  * New upstream version 1.59.0 (Closes: #1057834)
  * Update (Build-)Depends
  * Update patches
  * Remove Static-Built-Using from d/control
  * Override lintian docs warning
  * Install Apache-2.0's NOTICE.txt in docs
  * Update d/missing-sources

  [ Simon Josefsson ]
  * gbp.conf: Set branch to experimental.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 18 Jan 2024 21:05:47 +0100

golang-google-grpc (1.38.0+really1.33.3-1) unstable; urgency=medium

  * Team upload
  * Bump version number to 1.38.0+really1.33.3-1 to roll back from
    a previous inadvertent upload of experimental 1.38.0-5 (with API
    version change) to unstable on 2023-06-23
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Add Static-Built-Using field in debian/control
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Tue, 04 Jul 2023 22:18:19 -0600

golang-google-grpc (1.38.0-5) unstable; urgency=medium

  * Team upload.
  * Use golang-github-golang-protobuf-1-5-dev instead of golang-goprotobuf-dev
    (>= 1.4.3~),

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Nov 2022 14:16:53 +0100

golang-google-grpc (1.33.3-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix failed TestUnix with https_proxy env

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Jan 2023 16:12:59 +0800

golang-google-grpc (1.33.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.33.3
  * Regenerating protobuf files with old protoc-gen-go v1.3.5.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 23:55:08 +0800

golang-google-grpc (1.32.0-5) unstable; urgency=medium

  * Team upload
  * Allow golang-github-golang-protobuf-1-5-dev as optional Depends
  * Add Multi-Arch
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 18:29:29 +0800

golang-google-grpc (1.32.0-4) unstable; urgency=medium

  * Team upload.
  * Replace transitional golang-goprotobuf-dev package

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 23 Dec 2022 00:16:42 +0800

golang-google-grpc (1.32.0-3) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 31 Oct 2022 02:41:10 +0800

golang-google-grpc (1.32.0-2) unstable; urgency=medium

  * Team upload.
  * Add a new protoc-gen-go-grpc package.
    It can generate gRPC service with Go protobuf APIv2.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Oct 2022 23:28:49 +0800

golang-google-grpc (1.32.0-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * Dependency version of golang-goprotobuf-dev to (>= 1.3.3~)
  * debian/rules: Don't regenerate .pb.go files.
    They need newer .proto files

  [ Shengjing Zhu ]
  * Use git tag in uscan watch file.
    To download older versions which are not in first page.
  * Update Section to golang
  * Update Standards-Version to 4.6.1 (no changes)
  * Refresh patches.
    Drop obsoleted 01-Add-NewContext-and-FromContext-back-to-metadata-pack.patch
    Add 0001-Backport-sha256-x509-testdata.patch
  * Update DH_GOLANG_EXCLUDES for all binary packages
  * Drop golang-github-golang-mock-dev from Depends
  * Add Breaks for incompatible packages
    + golang-etcd-server-dev (<< 3.3.25+dfsg-8~)
    + golang-google-cloud-dev (<< 0.56.0-2~)
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Oct 2022 21:15:16 +0800

golang-google-grpc (1.27.1-1) unstable; urgency=medium

  * New upstream release (Closes: #915643).
  * Fix re-generation (build integrity).
  * Build integrity: remove generated .pb.go files whenever possible.
  * Excluded disfunctional "xds" component.
  * Disabled unreliable tests in "internal/resolver/dns".
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Removed Anthony Fok from Uploaders.
  * README.source note emphasizing how sensitive this package is.
  * (Build-)Depends:
    = golang-goprotobuf-dev (>= 1.3.2~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Apr 2020 16:55:39 +1000

golang-google-grpc (1.22.1-1) unstable; urgency=medium

  * New upstream version 1.22.1
  * Disable debian/regenerate.sh temporarily until it is extended
    to cover newly added protobuf code
  * Add Build-Depends: golang-google-genproto-dev
  * Add dependency on golang-github-google-go-cmp-dev
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    for real this time
  * Fix debian/proto/grpc/* and debian/proto/rpc/* wildcard Files entries
    in debian/copyright

 -- Anthony Fok <foka@debian.org>  Thu, 01 Aug 2019 18:12:55 -0600

golang-google-grpc (1.15.0-2) unstable; urgency=medium

  * Update debian/watch with filenamemangle
  * Add myself to the list of Uploaders
  * Apply "cme fix dpkg" fixes
    - Remove unnecessary greater-than versioned dependency
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Set GBP debian-branch back to debian/sid

 -- Anthony Fok <foka@debian.org>  Thu, 01 Aug 2019 09:08:38 -0600

golang-google-grpc (1.15.0-1) experimental; urgency=medium

  [ Martina Ferrari ]
  * New upstream release.
  * debian/control: Update dependencies.
  * Refresh patches; remove unused ones.
  * Remove vendored .pb.go files; add all .proto dependencies.
  * Make sure all protobuf code is regenerated.
  * Install examples.
  * Add GBP configuration.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Jan 2019 11:40:52 +1100

golang-google-grpc (1.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Pirate Praveen ]
  * New upstream version 1.11.0 (Closes: #893171)
  * Bump debhelper compat to 11
  * Bump standards version to 4.1.4
  * Refresh patches

  [ Shengjing Zhu ]
  * Fix regenerating pb.go in grpclb directory.
  * Add patch to fix grpclb proto generate.
  * Update vendored golang-google-genproto-dev to 0.0~git20171123.7f0da29-1.
  * Don't remove codes/code_string.go since upstream removed the go generate
    instruction.
  * Update team mail address to team+pkg-go@tracker.debian.org.
  * Remove golang-golang-x-tools from Build-Depends.
    Since we don't regenerate code_string.go.
  * Update Standards-Version to 4.2.1. (no changes)
  * Exclude benchmark from go build targets.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Oct 2018 00:08:26 +0800

golang-google-grpc (1.6.0-3) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Team upload.
  * remove codes/code_string.go before running go generate (Closes: #882554).
    codes/code_string.go is also generated file. running go generate on
    file codes/codes.go will cause stringer to process all files in
    dir codes, including this generated file.

  [ Dr. Tobias Quathamer ]
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 05 Dec 2017 23:19:44 +0100

golang-google-grpc (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to bring NewContext and FromContext API back.

 -- Shengjing Zhu <i@zhsj.me>  Thu, 14 Sep 2017 20:39:58 +0800

golang-google-grpc (1.6.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * New upstream release.
  * Testsuite: autopkgtest-pkg-go.
  * Bump Standards-Version to 4.0.0.
  * Depend on golang-github-golang-mock-dev.

  [ Shengjing Zhu ]
  * New upstream 1.6.0 release
  * Refresh patch name
  * Call go generate manualy in d/rules
  * Update new version's build-depends
  * Update compat and dh to 10
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + Use https in copyright format url
  * Remove d/README.Debian, naming/etcd no longer exists
  * Update pkg-go team name

 -- Martina Ferrari <tina@debian.org>  Wed, 13 Sep 2017 03:04:56 +0000

golang-google-grpc (1.0.4-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Re-merge upstream.
  * Make the build reproducible, thanks to Chris Lamb for the patch.
    Closes: #838754
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Switch to golang-any.
  * debian/control: Depend on recent dh-golang.
  * Use XS-Go-Import-Path instead of DH_GOPKG.
  * debian/rules: Remove now unneeded get-orig-source target.
  * debian/control: Update oauth2/google dependency.
  * Add Documentation/.
  * Add missing test files, do not exclude tests, run manually
    grpc/test.
  * Do not install sample executables.
  * New upstream release. Increase required version of goprotobuf.
  * Patch tests that access the network.

 -- Martina Ferrari <tina@debian.org>  Sat, 19 Nov 2016 05:42:29 +0000

golang-google-grpc (1.0.0-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Build-Depends:
    = golang-goprotobuf-dev (>= 0.0~git20160815~)
    + protobuf-compiler (>= 3.0.0~)
  * Re-build .pb.go files from .proto sources.
  * Do not ignore test failures.
  * "--parallel" build.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Aug 2016 17:54:38 +1000

golang-google-grpc (0.0~git20160517.0.a22b6611-2) unstable; urgency=medium

  [ Tim Potter ]
  * Update golang-go B-D to backport version, 1.5.1 or higher
  * Add me as uploader

  [ Dmitry Smirnov ]
  * (Build-)Depends: fixed order of alternatives (Closes: #830325).
  * Added README.source with note about versioning error.
  * Removed needless "Built-Using".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Jul 2016 08:44:21 +1000

golang-google-grpc (0.0~git20160517.0.a22b6611-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fixed Vcs-Git URL.
  * Ignore test failures.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 May 2016 11:46:44 +1000

golang-google-grpc (0.0~git20151002.0.3e7b7e5-1) unstable; urgency=medium

  [ Tim Potter <tpot@hpe.com> ]
  * Update to commit 3e7b7e5 from upstream (Closes: #806179)
  * Replace golang-github-bradfitz-http2-dev B-D with updated version of
    golang-golang-x-net-dev, and upgrade golang-golang-x-oauth2-dev.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * rules: DH_GOLANG_EXCLUDES += "naming/etcd": to avoid curcular
    dependency on "golang-etcd-server-dev" which depends on this package
    ("golang-google-grpc"); Added related note to "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Feb 2016 13:58:30 +1100

golang-google-grpc (0.0~git20150514.0.f5ebd86-2) unstable; urgency=medium

  * Drop etcd dependencies (Closes: #808598).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Dec 2015 00:00:04 +1100

golang-google-grpc (0.0~git20150514.0.f5ebd86-1) unstable; urgency=medium

  * Initial release (Closes: #798654).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Sep 2015 22:28:08 +1000
